com.jscape.inet.mft.management.descriptors

## Class FileStoreServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.DatastoreServiceDescriptor
      - - com.jscape.inet.mft.management.descriptors.FileStoreServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class FileStoreServiceDescriptor
      extends DatastoreServiceDescriptor

  File store service descriptor. The service described by this descriptor takes responsibility for storing/accessing accounts and groups in file.
  Version:
    1.0
  Author:
    Alex
  See Also:
    Source code, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileStoreServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `FileStoreServiceDescriptor(FileStoreServiceDescriptor that)`
    `FileStoreServiceDescriptor(java.lang.String directory)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getDirectory()` Returns datastore directory.
    `int` | `hashCode()`
    `void` | `setDirectory(java.lang.String value)` Sets datastore directory.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileStoreServiceDescriptor

          public FileStoreServiceDescriptor(java.lang.String directory)

      Creates a new descriptor instance.
      Parameters:
        `directory` - store directory

    - #### FileStoreServiceDescriptor

          public FileStoreServiceDescriptor(FileStoreServiceDescriptor that)

    - #### FileStoreServiceDescriptor

          public FileStoreServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getDirectory

          public java.lang.String getDirectory()

      Returns datastore directory.
      Returns:
        datastore directory

    - #### setDirectory

          public void setDirectory(java.lang.String value)

      Sets datastore directory.
      Parameters:
        `value` - datastore directory

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved